Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.bea.control
Enum RosettaNetControl.RNIF_VERSION

    java.lang.Object
      java.lang.Enum<RosettaNetControl.RNIF_VERSION>
          com.bea.control.RosettaNetControl.RNIF_VERSION

All Implemented Interfaces:
  Serializable, Comparable<RosettaNetControl.RNIF_VERSION>

Enclosing interface:
  RosettaNetControl

    public static enum RosettaNetControl.RNIF_VERSION

extends Enum<RosettaNetControl.RNIF_VERSION>

This enum specifies the RN versions that are supported. This should be updated whenever we need to support new versions of RN.

Enum Constant Summary
`VERSION_1_1`
`VERSION_2_0`

Method Summary
`static RosettaNetControl.RNIF_VERSION` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static RosettaNetControl.RNIF_VERSION[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### VERSION_1_1

    public static final RosettaNetControl.RNIF_VERSION VERSION_1_1

### VERSION_2_0

    public static final RosettaNetControl.RNIF_VERSION VERSION_2_0

Method Detail

### values

    public static final RosettaNetControl.RNIF_VERSION[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(RosettaNetControl.RNIF_VERSION c : RosettaNetControl.RNIF_VERSION.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static RosettaNetControl.RNIF_VERSION valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD